# Products

## GET /i2/products/search/

> PRD108: Search Catalog

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset.","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Specifies the row count of the current page.","schema":{"type":"integer","minimum":1,"default":10}}},"schemas":{"_Pagination":{"type":"object","properties":{"count":{"type":"integer","description":"Indicates the number of objects that match the criteria specified in the request."},"next":{"type":"string","format":"uri","description":"Indicates the next page URL that points to the location of the next set of results."},"previous":{"type":"string","format":"uri","description":"Indicates the previous page URL that points to the location of the next set of results."}}},"_MPC_Product":{"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the product."},"name":{"type":"string","description":"Name of the product."},"base_code":{"type":"string","description":"Base code associated with the product."},"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."},"category":{"type":"string","format":"uuid","description":"Unique identifier for the category associated with the product."},"attributes":{"type":"object","default":{},"description":"Attributes associated with the product."},"images":{"type":"array","items":{"type":"string"},"description":"Images associated with the product."},"videos":{"type":"array","items":{"type":"string"},"description":"Videos associated with the product."},"updated_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the product was last updated."},"created_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the product was created."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/search/":{"get":{"tags":["Products"],"operationId":"PRD108","summary":"PRD108: Search Catalog","parameters":[{"$ref":"#/components/parameters/language"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"in":"query","required":true,"name":"query","schema":{"type":"string"},"description":"Value to search in the marketplace catalog."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/_Pagination"},{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/_MPC_Product"}}}}]}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /i2/products/

> PRD102: Get Products

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset.","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Specifies the row count of the current page.","schema":{"type":"integer","minimum":1,"default":10}},"updated_at":{"name":"updated_at","description":"Filters data where the \"updated_at\" field is exactly equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__gt":{"name":"updated_at__gt","description":"Filters data where the \"updated_at\" field is greater than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__gte":{"name":"updated_at__gte","description":"Filters data where the \"updated_at\" field is greater than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__lt":{"name":"updated_at__lt","description":"Filters data where the \"updated_at\" field is less than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"updated_at__lte":{"name":"updated_at__lte","description":"Filters data where the \"updated_at\" field is less than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at":{"name":"created_at","description":"Filters data where the \"created_at\" field is exactly equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__gt":{"name":"created_at__gt","description":"Filters data where the \"created_at\" field is greater than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__gte":{"name":"created_at__gte","description":"Filters data where the \"created_at\" field is greater than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__lt":{"name":"created_at__lt","description":"Filters data where the \"created_at\" field is less than a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},"created_at__lte":{"name":"created_at__lte","description":"Filters data where the \"created_at\" field is less than or equal to a specified value.","in":"query","required":false,"schema":{"type":"string","format":"date-time"}}},"schemas":{"_Pagination":{"type":"object","properties":{"count":{"type":"integer","description":"Indicates the number of objects that match the criteria specified in the request."},"next":{"type":"string","format":"uri","description":"Indicates the next page URL that points to the location of the next set of results."},"previous":{"type":"string","format":"uri","description":"Indicates the previous page URL that points to the location of the next set of results."}}},"_Product":{"properties":{"name":{"type":"string","description":"Name of the product."},"base_code":{"type":"string","description":"Base code associated with the product."},"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."},"category":{"type":"string","format":"uuid","description":"Unique identifier for the category associated with the product."},"attributes":{"type":"object","default":{},"description":"Attributes associated with the product."},"images":{"type":"array","items":{"type":"string"},"description":"Images associated with the product."},"videos":{"type":"array","items":{"type":"string"},"description":"Videos associated with the product."},"prices":{"type":"array","items":{"$ref":"#/components/schemas/_Price"},"description":"Prices associated with the product."},"stocks":{"type":"array","items":{"$ref":"#/components/schemas/_Stock"},"description":"Stocks associated with the product."},"updated_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the product was last updated."},"created_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the product was created."}}},"_Price":{"type":"object","properties":{"price_list":{"type":"string","format":"uuid","description":"Identifier for the associated price list."},"currency_type":{"type":"string","enum":["TRY","USD","EUR","EGP","GBP","MAD","PLN","SAR","RON","UAH","CZK","HUF","RUB","BGN","IQD","KWD","BHD","OMR","QAR","AED","NGN"],"description":"Currency type associated with the price."},"retail_price":{"type":"number","format":"decimal","description":"Original retail price before any discounts."},"price":{"type":"number","format":"decimal","description":"Final price after applying discounts and taxes."},"tax_rate":{"type":"number","format":"decimal","description":"Tax rate applied to the final price."}}},"_Stock":{"type":"object","properties":{"stock_list":{"type":"string","format":"uuid","description":"Identifier for the associated stock list. If a specific value is not selected, the default price list is assigned to it."},"unit_type":{"type":"string","enum":["qty","kg"],"description":"The unit type for the stock.\n- `qty`: Quantity\n- `kg`: Kilogram\n"},"stock":{"type":"integer","description":"Available stock quantity or weight."},"sold_quantity_unreported":{"type":"integer","description":"Quantity of sold items that are not yet reported. Incremented by 1 when a sale occurs, and if manual stock reservation is selected, this value does not decrease. To decrease this value, an operation must be performed in the reservation source."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/":{"get":{"tags":["Products"],"operationId":"PRD102","summary":"PRD102: Get Products","parameters":[{"$ref":"#/components/parameters/language"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"in":"query","name":"name","schema":{"type":"string"},"description":"Filter by exact value of the name field."},{"in":"query","name":"name__contains","schema":{"type":"string"},"description":"Filter by values in the name field that contain the specified string (case-sensitive)."},{"in":"query","name":"name__icontains","schema":{"type":"string"},"description":"Filter by values in the name field that contain the specified string (case-insensitive)."},{"in":"query","name":"base_code","schema":{"type":"string"},"description":"Filter by exact value of the base_code field."},{"in":"query","name":"base_code__contains","schema":{"type":"string"},"description":"Filter by values in the base_code field that contain the specified string (case-sensitive)."},{"in":"query","name":"base_code__icontains","schema":{"type":"string"},"description":"Filter by values in the base_code field that contain the specified string (case-insensitive)."},{"in":"query","name":"sku","schema":{"type":"string"},"description":"Filter by exact value of the sku field."},{"in":"query","name":"sku__contains","schema":{"type":"string"},"description":"Filter by values in the sku field that contain the specified string (case-sensitive)."},{"in":"query","name":"sku__icontains","schema":{"type":"string"},"description":"Filter by values in the sku field that contain the specified string (case-insensitive)."},{"in":"query","name":"category","schema":{"type":"string","format":"uuid"},"description":"Filter by exact value of the category field."},{"in":"query","name":"category__in","schema":{"type":"array","collectionFormat":"csv","uniqueItems":true,"items":{"type":"string","format":"uuid"}},"description":"Filter by category field using a comma-separated list (CSV format)."},{"in":"query","name":"attribute__KEY","schema":{"type":"string"},"description":"Filter by exact value of the attribute with the specified key."},{"in":"query","name":"attribute__KEY__iexact","schema":{"type":"string"},"description":"Filter by exact (case-insensitive) value of the attribute with the specified key."},{"in":"query","name":"attribute__KEY__contains","schema":{"type":"string"},"description":"Filter by values in the attribute with the specified key that contain the specified string (case-sensitive)."},{"in":"query","name":"attribute__KEY__icontains","schema":{"type":"string"},"description":"Filter by values in the attribute with the specified key that contain the specified string (case-insensitive)."},{"in":"query","name":"attribute__KEY__startswith","schema":{"type":"string"},"description":"Filter by values in the attribute with the specified key that start with the specified string."},{"in":"query","name":"attribute__KEY__istartswith","schema":{"type":"string"},"description":"Filter by values in the attribute with the specified key that start with the specified string (case-insensitive)."},{"in":"query","name":"attribute__KEY__endswith","schema":{"type":"string"},"description":"Filter by values in the attribute with the specified key that end with the specified string."},{"in":"query","name":"attribute__KEY__iendswith","schema":{"type":"string"},"description":"Filter by values in the attribute with the specified key that end with the specified string (case-insensitive)."},{"in":"query","name":"approved","schema":{"type":"boolean","default":true},"description":"Indicates whether the product is approved."},{"$ref":"#/components/parameters/updated_at"},{"$ref":"#/components/parameters/updated_at__gt"},{"$ref":"#/components/parameters/updated_at__gte"},{"$ref":"#/components/parameters/updated_at__lt"},{"$ref":"#/components/parameters/updated_at__lte"},{"$ref":"#/components/parameters/created_at"},{"$ref":"#/components/parameters/created_at__gt"},{"$ref":"#/components/parameters/created_at__gte"},{"$ref":"#/components/parameters/created_at__lt"},{"$ref":"#/components/parameters/created_at__lte"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/_Pagination"},{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/_Product"}}}}]}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /i2/products/

> PRD101: Upsert Products

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_N_Product":{"properties":{"name":{"type":"string","description":"Name of the product."},"base_code":{"type":"string","description":"Base code associated with the product."},"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."},"category":{"type":"string","format":"uuid","description":"Unique identifier for the category associated with the product."},"product":{"type":"string","format":"uuid","description":"Unique identifier for the product can be found in the catalog (PRD108). This value is used to link the product that is being processed to the given catalog product."},"attributes":{"type":"object","default":{},"description":"Attributes associated with the product."},"images":{"type":"array","items":{"type":"string"},"description":"Images associated with the product."},"videos":{"type":"array","items":{"type":"string"},"description":"Videos associated with the product."},"prices":{"type":"array","items":{"$ref":"#/components/schemas/_N_Price"},"description":"Prices associated with the product."},"stocks":{"type":"array","items":{"$ref":"#/components/schemas/_N_Stock"},"description":"Stocks associated with the product."},"restrict_for_others":{"type":"bool","description":"Determines whether the product, once approved, will be restricted to the other sellers. If set to `false`, the product will be available to all sellers."}},"required":["name","base_code","sku","category","attributes"]},"_N_Price":{"type":"object","properties":{"price_list":{"type":"string","format":"uuid","description":"Identifier for the associated price list. If a specific value is not selected, the default price list is assigned to it."},"currency_type":{"type":"string","enum":["TRY","USD","EUR","EGP","GBP","MAD","PLN","SAR","RON","UAH","CZK","HUF","RUB","BGN","IQD","KWD","BHD","OMR","QAR","AED","NGN"],"description":"Currency type associated with the price."},"retail_price":{"type":"number","format":"decimal","default":"null","description":"Original retail price before any discounts."},"price":{"type":"number","format":"decimal","description":"Final price after applying discounts and taxes."},"tax_rate":{"type":"number","format":"decimal","description":"Tax rate applied to the final price."}},"required":["currency_type","price","tax_rate"]},"_N_Stock":{"type":"object","properties":{"stock_list":{"type":"string","format":"uuid","description":"Identifier for the associated stock list."},"stock":{"type":"integer","description":"Available stock quantity or weight."},"unit_type":{"type":"string","enum":["qty","kg"],"description":"The unit type for the stock.\n- `qty`: Quantity\n- `kg`: Kilogram\n","default":"qty"}},"required":["stock"]},"BatchRequestId":{"properties":{"batch_request_id":{"type":"string","format":"uuid","description":"Unique identifier for the batch request."},"synchronous":{"type":"boolean","description":"Indicates whether the batch request is synchronous or asynchronous."}}}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/":{"post":{"tags":["Products"],"operationId":"PRD101","summary":"PRD101: Upsert Products","parameters":[{"$ref":"#/components/parameters/language"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/_N_Product"}}}}},"responses":{"202":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/BatchRequestId"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## DELETE /i2/products/

> PRD103: Delete Products

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_N_SKU":{"type":"object","properties":{"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."}},"required":["sku"]},"BatchRequestId":{"properties":{"batch_request_id":{"type":"string","format":"uuid","description":"Unique identifier for the batch request."},"synchronous":{"type":"boolean","description":"Indicates whether the batch request is synchronous or asynchronous."}}}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/":{"delete":{"tags":["Products"],"operationId":"PRD103","summary":"PRD103: Delete Products","parameters":[{"$ref":"#/components/parameters/language"}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/_N_SKU"}}}}},"responses":{"202":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/BatchRequestId"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /i2/products/prices-and-stocks/

> PRD104: Upsert Prices & Stocks

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_N_SKU":{"type":"object","properties":{"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."}},"required":["sku"]},"_N_Price":{"type":"object","properties":{"price_list":{"type":"string","format":"uuid","description":"Identifier for the associated price list. If a specific value is not selected, the default price list is assigned to it."},"currency_type":{"type":"string","enum":["TRY","USD","EUR","EGP","GBP","MAD","PLN","SAR","RON","UAH","CZK","HUF","RUB","BGN","IQD","KWD","BHD","OMR","QAR","AED","NGN"],"description":"Currency type associated with the price."},"retail_price":{"type":"number","format":"decimal","default":"null","description":"Original retail price before any discounts."},"price":{"type":"number","format":"decimal","description":"Final price after applying discounts and taxes."},"tax_rate":{"type":"number","format":"decimal","description":"Tax rate applied to the final price."}},"required":["currency_type","price","tax_rate"]},"_N_Stock":{"type":"object","properties":{"stock_list":{"type":"string","format":"uuid","description":"Identifier for the associated stock list."},"stock":{"type":"integer","description":"Available stock quantity or weight."},"unit_type":{"type":"string","enum":["qty","kg"],"description":"The unit type for the stock.\n- `qty`: Quantity\n- `kg`: Kilogram\n","default":"qty"}},"required":["stock"]},"BatchRequestId":{"properties":{"batch_request_id":{"type":"string","format":"uuid","description":"Unique identifier for the batch request."},"synchronous":{"type":"boolean","description":"Indicates whether the batch request is synchronous or asynchronous."}}}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/prices-and-stocks/":{"post":{"tags":["Products"],"operationId":"PRD104","summary":"PRD104: Upsert Prices & Stocks","parameters":[{"$ref":"#/components/parameters/language"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/_N_SKU"},{"$ref":"#/components/schemas/_N_Price"},{"$ref":"#/components/schemas/_N_Stock"}]}}}}},"responses":{"202":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/BatchRequestId"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /i2/products/prices/

> PRD105: Upsert Prices

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_N_SKU":{"type":"object","properties":{"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."}},"required":["sku"]},"_N_Price":{"type":"object","properties":{"price_list":{"type":"string","format":"uuid","description":"Identifier for the associated price list. If a specific value is not selected, the default price list is assigned to it."},"currency_type":{"type":"string","enum":["TRY","USD","EUR","EGP","GBP","MAD","PLN","SAR","RON","UAH","CZK","HUF","RUB","BGN","IQD","KWD","BHD","OMR","QAR","AED","NGN"],"description":"Currency type associated with the price."},"retail_price":{"type":"number","format":"decimal","default":"null","description":"Original retail price before any discounts."},"price":{"type":"number","format":"decimal","description":"Final price after applying discounts and taxes."},"tax_rate":{"type":"number","format":"decimal","description":"Tax rate applied to the final price."}},"required":["currency_type","price","tax_rate"]},"BatchRequestId":{"properties":{"batch_request_id":{"type":"string","format":"uuid","description":"Unique identifier for the batch request."},"synchronous":{"type":"boolean","description":"Indicates whether the batch request is synchronous or asynchronous."}}}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/prices/":{"post":{"tags":["Products"],"operationId":"PRD105","summary":"PRD105: Upsert Prices","parameters":[{"$ref":"#/components/parameters/language"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/_N_SKU"},{"$ref":"#/components/schemas/_N_Price"}]}}}}},"responses":{"202":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/BatchRequestId"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /i2/products/stocks/

> PRD106: Upsert Stocks

```json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"language":{"name":"Accept-Language","in":"header","required":false,"description":"Specifies the communication language of the API.","schema":{"type":"string"}}},"schemas":{"_N_SKU":{"type":"object","properties":{"sku":{"type":"string","description":"Stock Keeping Unit (SKU) code for the product."}},"required":["sku"]},"_N_Stock":{"type":"object","properties":{"stock_list":{"type":"string","format":"uuid","description":"Identifier for the associated stock list."},"stock":{"type":"integer","description":"Available stock quantity or weight."},"unit_type":{"type":"string","enum":["qty","kg"],"description":"The unit type for the stock.\n- `qty`: Quantity\n- `kg`: Kilogram\n","default":"qty"}},"required":["stock"]},"BatchRequestId":{"properties":{"batch_request_id":{"type":"string","format":"uuid","description":"Unique identifier for the batch request."},"synchronous":{"type":"boolean","description":"Indicates whether the batch request is synchronous or asynchronous."}}}},"responses":{"400":{"description":"Missing required field(s), invalid data or invalid action.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates the absence of the {field} in the request data.","items":{"type":"string"}},{"type":"array","description":"Indicates the non-existent object usage for the {field} in the request data.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates the invalid data/action usage in the request data.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Indicates the detailed message of the given error.","type":"string"},"code":{"type":"string","description":"Represents server-side error code."}}}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/stocks/":{"post":{"tags":["Products"],"operationId":"PRD106","summary":"PRD106: Upsert Stocks","parameters":[{"$ref":"#/components/parameters/language"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/_N_SKU"},{"$ref":"#/components/schemas/_N_Stock"}]}}}}},"responses":{"202":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/BatchRequestId"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /i2/products/batch-requests/{id}

> PRD107: Get Batch Request

````json
{"openapi":"3.1.0","info":{"title":"Seller Center Integration API","version":"1.0.1"},"servers":[{"url":"https://{domain}/api","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}},"schemas":{"BatchRequest":{"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the batch request."},"registry":{"type":"string","description":"Resource type for the batch request."},"request_file":{"type":"string","format":"uri","description":"URL for the batch request data. This field will contain an array of objects, each representing a successful record. Following example taken from a batch request for updating stocks via PRD106:\n\n```json\n  [\n    {\n        \"sku\": \"SP-0\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-1\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-2\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-3\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-4\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-5\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-6\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-7\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-8\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-9\",\n        \"stock\": \"10\"\n    }\n]\n```"},"success_file":{"type":"string","format":"uri","description":"URL for the successful data of the batch request. This field will contain an array of objects, each representing a successful record. Following example taken from a batch request for updating stocks via PRD106:\n\n```json\n  [\n    {\n        \"sku\": \"SP-0\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-1\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-2\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-3\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-4\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-5\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-6\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-7\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-8\",\n        \"stock\": \"10\"\n    },\n    {\n        \"sku\": \"SP-9\",\n        \"stock\": \"10\"\n    }\n]\n```"},"error_file":{"type":"string","format":"uri","description":"URL for the failed data of the batch request. This field will contain an array of objects including an `errors` property which describes the reason for the failure, each representing a failed record. Following example taken from a batch request for updating stocks via PRD106:\n\n```json\n  [\n    {\n        \"sku\": \"SP-0\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-1\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-2\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-3\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-4\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-5\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-6\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-7\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-8\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    },\n    {\n        \"sku\": \"SP-9\",\n        \"stock\": \"10\",\n        \"errors: [\n            {\"sku\": \"A product with the given SKU is not found.\"}\n        ]\n    }\n]\n```"},"status":{"type":"string","enum":[1,2,3,4,5],"description":"Status of the batch import request. The values are;\n- (1) Pending: The batch request is queued up and waiting to be processed.\n- (2) Processing: The batch request is currently being actively processed.\n- (3) Succeeded:  The batch request has been successfully completed for all records.\n- (4) Partially Succeeded: The batch request has been partially completed, with some records failing.\n- (5) Failed: The batch request has failed to complete."},"state":{"type":"object","description":"State of the batch import request. This field is only available for the `Processing` status. Other statuses will return a zero-valued object.","properties":{"total":{"type":"integer","description":"Total number of records in the batch request."},"succeeded":{"type":"integer","description":"Number of records successfully processed in the batch request."},"failed":{"type":"integer","description":"Number of records failed to process in the batch request."}}},"processed_in":{"type":"integer","description":"Time, in seconds, taken to process the batch request."},"updated_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the batch request was last updated."},"created_at":{"type":"string","format":"date-time","description":"Timestamp indicating when the batch request was created."}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Includes detailed explanation of the error."},"code":{"type":"string","description":"Represents server-side error code."}}}}}},"404":{"description":"Given resource or object is not found or available.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Includes detailed explanation of the error.","type":"string"}}}}}},"500":{"description":"Unexpected error."}}},"paths":{"/i2/products/batch-requests/{id}":{"get":{"tags":["Products"],"operationId":"PRD107","parameters":[{"$ref":"#/components/parameters/id"}],"summary":"PRD107: Get Batch Request","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/BatchRequest"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/seller-center/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
